Capability Types - Get
Get a Capability Type resource for given Target Type and location.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Chaos/locations/{location}/targetTypes/{targetTypeName}/capabilityTypes/{capabilityTypeName}?api-version=2025-01-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
capability
|
path | True |
string pattern: ^[a-zA-Z0-9\-\.]+-\d\.\d$ |
String that represents a Capability Type resource name. |
|
location
|
path | True |
string minLength: 1 |
The name of the Azure region. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
target
|
path | True |
string pattern: ^[a-zA-Z0-9_\-\.]+$ |
String that represents a Target Type resource name. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Get a Capability Type for a virtual machine Target resource on westus2 location.
Sample request
GET https://management.azure.com/subscriptions/6b052e15-03d3-4f17-b2e1-be7f07588291/providers/Microsoft.Chaos/locations/westus2/targetTypes/Microsoft-VirtualMachine/capabilityTypes/Shutdown-1.0?api-version=2025-01-01
Sample response
{
"name": "Shutdown-1.0",
"type": "Microsoft.Chaos/locations/targetTypes/capabilityTypes",
"id": "/subscriptions/6b052e15-03d3-4f17-b2e1-be7f07588291/providers/Microsoft.Chaos/locations/westus2/targetTypes/Microsoft-VirtualMachine/capabilityTypes/Shutdown-1.0",
"properties": {
"description": "Shutdown an Azure Virtual Machine for a defined period of time.",
"displayName": "Shutdown VM",
"kind": "fault",
"parametersSchema": "https://schema.centralus.chaos-prod.azure.com/targets/Microsoft-VirtualMachine/capabilities/Shutdown-1.0.json",
"publisher": "Microsoft",
"runtimeProperties": {
"kind": "continuous"
},
"targetType": "VirtualMachine",
"urn": "urn:csci:microsoft:virtualMachine:shutdown/1.0",
"azureRbacActions": [
"Microsoft.Compute/virtualMachines/poweroff/action",
"Microsoft.Compute/virtualMachines/start/action",
"Microsoft.Compute/virtualMachines/instanceView/read",
"Microsoft.Compute/virtualMachines/read",
"Microsoft.Compute/locations/operations/read"
],
"requiredAzureRoleDefinitionIds": [
"acdd72a7-3385-48ef-bd42-f606fba81ae0"
]
}
}
Definitions
| Name | Description |
|---|---|
|
Capability |
Model that represents a Capability Type resource. |
|
Capability |
Runtime properties of this Capability Type. |
|
created |
The type of identity that created the resource. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
system |
Metadata pertaining to creation and last modification of the resource. |
CapabilityType
Model that represents a Capability Type resource.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
The name of the resource |
| properties.azureRbacActions |
string[] |
Control plane actions necessary to execute capability type. |
| properties.azureRbacDataActions |
string[] |
Data plane actions necessary to execute capability type. |
| properties.description |
string |
Localized string of the description. |
| properties.displayName |
string |
Localized string of the display name. |
| properties.kind |
string |
String of the kind of this Capability Type. |
| properties.parametersSchema |
string maxLength: 2048 |
URL to retrieve JSON schema of the Capability Type parameters. |
| properties.publisher |
string |
String of the Publisher that this Capability Type extends. |
| properties.requiredAzureRoleDefinitionIds |
string[] |
Required Azure Role Definition Ids to execute capability type. |
| properties.runtimeProperties |
Runtime properties of this Capability Type. |
|
| properties.targetType |
string |
String of the Target Type that this Capability Type extends. |
| properties.urn |
string maxLength: 2048 |
String of the URN for this Capability Type. |
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
CapabilityTypePropertiesRuntimeProperties
Runtime properties of this Capability Type.
| Name | Type | Description |
|---|---|---|
| kind |
string |
String of the kind of the resource's action type (continuous or discrete). |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |